Update block
Update an existing block.
Authorization
authorization In: header
Path Parameters
Block ID
Request Body
application/json
Block params
TypeScript Definitions
Use the request body type in TypeScript.
Request schema for updating a block.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/blocks/string" \ -H "Content-Type: application/json" \ -d '{ "all_day": false, "attachment_type": "provider", "attachments": [ "prov_d025a96ac0c6" ], "date": "2025-10-27", "end_time": "17:00", "exception_dates": [ "2025-10-27T09:00:00" ], "recurrence_rule": { "byday": [ "mo", "we", "fr" ], "freq": "weekly" }, "start_time": "09:00", "time_zone": "America/New_York", "title": "Initial Consult" }'{ "data": { "all_day": false, "attachment_type": "provider", "attachments": [ "prov_d025a96ac0c6" ], "created_at": "2017-09-12T12:34:55Z", "date": "2025-10-27", "end_time": "17:00", "exception_dates": [ "2025-10-27T09:00:00" ], "id": "blk_d025a96ac0c6", "object": "block", "recurrence_rule": { "byday": [ "mo", "we", "fr" ], "freq": "weekly" }, "service_id": null, "start_time": "09:00", "time_zone": "America/New_York", "title": "Team Meeting", "updated_at": "2017-09-13T10:11:12Z" }}List blocks GET
List all blocks account-wide or attached to a specific resource type. Blocks are sorted by `date` in ascending order (oldest first).
Abandon booking intent POST
Transition a non-terminal booking intent to `abandoned`. Works from both `pending` and `slot_selected` statuses. Cannot abandon intents that are already completed or abandoned.